ArrayTypeAdapter
Date: 2016-11-03

com.google.gson.internal.bind

## Class ArrayTypeAdapter<E>

- java.lang.Object
- - com.google.gson.TypeAdapter<java.lang.Object>
  - - com.google.gson.internal.bind.ArrayTypeAdapter<E>

-     public final class ArrayTypeAdapter<E>
      extends TypeAdapter<java.lang.Object>

  Adapt an array of objects.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TypeAdapterFactory` | `FACTORY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ArrayTypeAdapter(Gson context, TypeAdapter<E> componentTypeAdapter, java.lang.Class<E> componentType)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `read(JsonReader in)` Reads one JSON value (an array, object, string, number, boolean or null) and converts it to a Java object.
    `void` | `write(JsonWriter out, java.lang.Object array)` Writes one JSON value (an array, object, string, number, boolean or null) for `value`.

    - ### Methods inherited from class com.google.gson.TypeAdapter

      `fromJson, fromJson, fromJsonTree, nullSafe, toJson, toJson, toJsonTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FACTORY

          public static final TypeAdapterFactory FACTORY

  - ### Constructor Detail

    - #### ArrayTypeAdapter

          public ArrayTypeAdapter(Gson context,
                          TypeAdapter<E> componentTypeAdapter,
                          java.lang.Class<E> componentType)

  - ### Method Detail

    - #### read

          public java.lang.Object read(JsonReader in)
                                throws java.io.IOException

      Description copied from class: `TypeAdapter`
      Reads one JSON value (an array, object, string, number, boolean or null) and converts it to a Java object. Returns the converted object.
      Specified by:
        `read` in class `TypeAdapter<java.lang.Object>`
      Returns:
        the converted Java object. May be null.
      Throws:
        `java.io.IOException`

    - #### write

          public void write(JsonWriter out,
                   java.lang.Object array)
                     throws java.io.IOException

      Description copied from class: `TypeAdapter`
      Writes one JSON value (an array, object, string, number, boolean or null) for `value`.
      Specified by:
        `write` in class `TypeAdapter<java.lang.Object>`
        `array` - the Java object to write. May be null.
      Throws:
        `java.io.IOException`